Use GIT_EXEC_PATH explicitly for initial git-init-db in tests.

This is just a belts-and-suspenders check, but makes sure we
have both "git" and "git-init-db" built, executable, and
checking.

Signed-off-by: Junio C Hamano <junkio@cox.net>
diff --git a/t/test-lib.sh b/t/test-lib.sh
index 3704e5f..447d9e2 100755
--- a/t/test-lib.sh
+++ b/t/test-lib.sh
@@ -149,7 +149,7 @@
 test_done () {
 	trap - exit
 	case "$test_failure" in
-	0)	
+	0)
 		# We could:
 		# cd .. && rm -fr trash
 		# but that means we forbid any tests that use their own
@@ -190,8 +190,7 @@
 rm -fr "$test"
 mkdir "$test"
 cd "$test"
-git init-db --template=../../templates/blt/ 2>/dev/null ||
+"$GIT_EXEC_PATH/git" init-db --template=../../templates/blt/ 2>/dev/null ||
 error "cannot run git init-db"
 
 mv .git/hooks .git/hooks-disabled
-